MISP Issue after 2.4.134 to 2.4.135 upgrade - PHP

Work environment

Questions Answers
Type of issue Support
OS version (server) RedHat
OS version (client) Win10
PHP version PHP ini path:… /etc/opt/rh/rh-php71/php.ini

PHP Version (>7.4 recommended): 7.1.8 (Version unsupported, update ASAP) PHP CLI Version (>7.4 recommended): 7.4.6 (Up to date) | MISP version / git hash | v2.4.135 (56159d47916243c39edf3ea7f4eacaed72eb4182) | Browser | All

Support Questions

Hi, after upgrading from v2.4.134 to 135 I get a 'An Internal Error Has Occurred' when I create a new Event manually via Event Actions > Add Event > Submit. The Event is created but I'm also get the same error message when trying to open Events from the List Event window. I didn't have the issue prior to the upgrade.

Logs, screenshots, configuration dump, ...

2020-11-30 15:44:42 Error: [PDOException] SQLSTATE[42000]: Syntax error or access violation: 1055 Expression #4 of SELECT list is not in GROUP BY clause and contains nonaggregated column 'mispinternal.Sighting.datesighting' which is not functionally dependent on columns in GROUP BY clause; this is incompatible with sqlmode=onlyfullgroup_by Request URL: /events/view/153667

image

image

Asked Oct 16 '21 10:10
avatar luna7391
luna7391

1 Answer:

Hi @JakubOnderka , thanks for looking at this. I can confirm the latest update has resolved the issue for me. I still get the Schema Status issues as shown above, do you know if these will be addressed in the next update? Thanks.

1
Answered Dec 01 '20 at 11:38
avatar  of luna7391
luna7391